<?php

/**
 * The home manager controller for modSchetmash.
 *
 */
class modSchetmashHomeManagerController extends modExtraManagerController
{
    /** @var modSchetmash $modSchetmash */
    public $modSchetmash;


    /**
     *
     */
    public function initialize()
    {
        $this->modSchetmash = $this->modx->getService('modSchetmash', 'modSchetmash', MODX_CORE_PATH . 'components/modschetmash/model/');
        parent::initialize();
    }


    /**
     * @return array
     */
    public function getLanguageTopics()
    {
        return ['modschetmash:default'];
    }


    /**
     * @return bool
     */
    public function checkPermissions()
    {
        return true;
    }


    /**
     * @return null|string
     */
    public function getPageTitle()
    {
        return $this->modx->lexicon('modschetmash');
    }


    /**
     * @return void
     */
    public function loadCustomCssJs()
    {
        $this->addCss($this->modSchetmash->config['cssUrl'] . 'mgr/main.css');
        $this->addJavascript($this->modSchetmash->config['jsUrl'] . 'mgr/modschetmash.js');
        $this->addJavascript($this->modSchetmash->config['jsUrl'] . 'mgr/misc/utils.js');
        $this->addJavascript($this->modSchetmash->config['jsUrl'] . 'mgr/misc/combo.js');
        $this->addJavascript($this->modSchetmash->config['jsUrl'] . 'mgr/widgets/items.grid.js');
        $this->addJavascript($this->modSchetmash->config['jsUrl'] . 'mgr/widgets/items.windows.js');
        $this->addJavascript($this->modSchetmash->config['jsUrl'] . 'mgr/widgets/home.panel.js');
        $this->addJavascript($this->modSchetmash->config['jsUrl'] . 'mgr/sections/home.js');


		
        $cron_url = preg_replace('#\/$#','', $this->modx->getOption('site_url')) . MODX_ASSETS_URL .'components/modschetmash/cron.php'; 

        $this->addHtml('<script type="text/javascript">
        modSchetmash.config = ' . json_encode($this->modSchetmash->config) . ';
        modSchetmash.config.connector_url = "' . $this->modSchetmash->config['connectorUrl'] . '";
        modSchetmash.config.cron_url = "' . $cron_url . '";
        Ext.onReady(function() {MODx.load({ xtype: "modschetmash-page-home"});});
        </script>');
    }


    /**
     * @return string
     */
    public function getTemplateFile()
    {
        $this->content .= '<div id="modschetmash-panel-home-div"></div>';

        return '';
    }
}