<?php

class modSchetmashUpdateFormProcessor extends modObjectProcessor
{
  // public $objectType = 'modSchetmashItem';
   // public $classKey = 'modSchetmashItem';
    public $languageTopics = ['modschetmash'];
    //public $permission = 'save';


    /**
     * @return array|string
     */
    public function process()
    {
         
        if (!$this->checkPermissions()) {
            return $this->failure($this->modx->lexicon('access_denied'));
        }      
        



        $login = $this->getProperty('modschetmash_login');
        if(!empty(  $login )) {
            $setting = $this->modx->getObject('modSystemSetting', 'modschetmash_login');
            $setting->set('value', trim(  $login ));
            $setting->save();
        }

        $password = $this->getProperty('modschetmash_password');
        if(!empty( $password )) {
            $setting = $this->modx->getObject('modSystemSetting', 'modschetmash_password');
            $setting->set('value', trim( $password ));
            $setting->save();
        }

        $shop_id = $this->getProperty('modschetmash_shop_id'); 
        if(!empty( $shop_id ) && is_numeric( $shop_id) ) {
            $setting = $this->modx->getObject('modSystemSetting', 'modschetmash_shop_id');
            $setting->set('value', (int)$shop_id );
            $setting->save();
        }

        $payments = $this->getProperty('modschetmash_payments'); 
        if(is_array($payments) ) {
            $setting = $this->modx->getObject('modSystemSetting', 'modschetmash_payments[]');
            $setting->set('value', implode(',', $payments) ) ;
            $setting->save();
        }

        if( function_exists( 'openssl_random_pseudo_bytes')) { 
            $bytes = openssl_random_pseudo_bytes(10);
            $api_token = bin2hex($bytes);
            $ob = $this->modx->getObject('modSystemSetting', 'modschetmash_api_token');   
            if(empty($ob->get('value'))){
                $ob->set('value', $api_token);
                $ob->save();
            }   
        } 
        
        $cacheRefreshOptions =  array( 'system_settings' => array() );
        $this->modx->cacheManager->refresh($cacheRefreshOptions);



        return $this->success();
    }

}

return 'modSchetmashUpdateFormProcessor';
