<?php

class modSchetmashItemUpdateProcessor extends modObjectProcessor
{
    public $objectType = 'modSchetmashItem';
    public $classKey = 'modSchetmashItem';
    public $languageTopics = ['modschetmash'];
    //public $permission = 'save';


    /**
     * @return array|string
     */
    public function process()
    {
           
        if (!$this->checkPermissions()) {
            return $this->failure($this->modx->lexicon('access_denied'));
        }      

        $uuid = $this->modx->fromJSON($this->getProperty('uuid'));
        
        if (empty($uuid)) {
            return $this->failure($this->modx->lexicon('modschetmash_item_err_ns'));
        }

        $modSchetmash = $this->modx->getService('modSchetmash', 'modSchetmash', MODX_CORE_PATH . 'components/modschetmash/model/');
        $response = $modSchetmash->getStatusCheck($uuid); 
        
        if($response['status'] === false) {
            return $this->failure($response['mess']);
        } else {
            return $this->success($response['mess']);
        }   

        return $this->success();
    }

}

return 'modSchetmashItemUpdateProcessor';
